Package eu.mhsl.minenet.minigames.instance.game.minigame.types.deathcube

# Class DeathcubeFactory

java.lang.Object
eu.mhsl.minenet.minigames.instance.game.minigame.types.deathcube.DeathcubeFactory

All Implemented Interfaces:
  `GameFactory`

public class DeathcubeFactory extends Object implements GameFactory

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeathcubeFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigManager`
  `configuration()`
  `Minigame`
  `manufacture(Map<String,Option<?>> configuration)`
  `net.kyori.adventure.text.Component`
  `name()`
  `net.minestom.server.item.Material`
  `symbol()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface eu.mhsl.minenet.minigames.instance.game.minigame.config.GameFactory

  `description, manufacture, manufacture`

- ## Constructor Details

  - ### DeathcubeFactory

    public DeathcubeFactory()

- ## Method Details

  - ### name

    public net.kyori.adventure.text.Component name()
    Specified by:
      `name` in interface `GameFactory`

  - ### configuration

    public ConfigManager configuration()
    Specified by:
      `configuration` in interface `GameFactory`

  - ### manufacture

    public Minigame manufacture(Map<String,Option<?>> configuration)
    Specified by:
      `manufacture` in interface `GameFactory`

  - ### symbol

    public net.minestom.server.item.Material symbol()
    Specified by:
      `symbol` in interface `GameFactory`